## ros-kinetic-octomap-mapping 0.6.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(octomap_mapping)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-kinetic-octomap-mapping (0.6.4-2xenial) xenial; urgency=high



 -- Wolfgang Merkt <w.merkt+oss@gmail.com>  Wed, 08 Jan 2020 00:00:00 -0000

ros-kinetic-octomap-mapping (0.6.3-2xenial) xenial; urgency=high



 -- Wolfgang Merkt <w.merkt+oss@gmail.com>  Mon, 28 Jan 2019 00:00:00 -0000

ros-kinetic-octomap-mapping (0.6.2-2xenial) xenial; urgency=high

  * Update maintainer email (Wolfgang Merkt)
  * Contributors: Wolfgang Merkt

 -- Wolfgang Merkt <w.merkt+oss@gmail.com>  Sun, 27 Jan 2019 00:00:00 -0000

ros-kinetic-octomap-mapping (0.6.1-2xenial) xenial; urgency=high

  * Adjust maintainer email
  * Contributors: Armin Hornung

 -- Armin Hornung <armin@hornung.io>  Tue, 18 Oct 2016 23:00:00 -0000

ros-kinetic-octomap-mapping (0.6.0-2xenial) xenial; urgency=high



 -- Armin Hornung <armin@hornung.io>  Fri, 25 Mar 2016 00:00:00 -0000

ros-kinetic-octomap-mapping (0.5.3-2xenial) xenial; urgency=high



 -- Armin Hornung <armin@hornung.io>  Thu, 09 Jan 2014 00:00:00 -0000

ros-kinetic-octomap-mapping (0.5.2-2xenial) xenial; urgency=high



 -- Armin Hornung <armin@hornung.io>  Thu, 09 Jan 2014 00:00:00 -0000

ros-kinetic-octomap-mapping (0.5.1-2xenial) xenial; urgency=high



 -- Armin Hornung <armin@hornung.io>  Mon, 25 Nov 2013 00:00:00 -0000

ros-kinetic-octomap-mapping (0.5.0-2xenial) xenial; urgency=high

  * URLs in package.xml
  * Catkinization, remove support for arm_navigation

 -- Armin Hornung <armin@hornung.io>  Wed, 23 Oct 2013 23:00:00 -0000

ros-kinetic-octomap-mapping (0.4.9-2xenial) xenial; urgency=high



 -- Armin Hornung <armin@hornung.io>  Wed, 26 Jun 2013 23:00:00 -0000

ros-kinetic-octomap-mapping (0.4.8-2xenial) xenial; urgency=high



 -- Armin Hornung <armin@hornung.io>  Tue, 08 Jan 2013 00:00:00 -0000

ros-kinetic-octomap-mapping (0.4.6-2xenial) xenial; urgency=high



 -- Armin Hornung <armin@hornung.io>  Mon, 28 Jan 2013 00:00:00 -0000

ros-kinetic-octomap-mapping (0.4.5-2xenial) xenial; urgency=high



 -- Armin Hornung <armin@hornung.io>  Sun, 17 Jun 2012 23:00:00 -0000

ros-kinetic-octomap-mapping (0.4.4-2xenial) xenial; urgency=high



 -- Armin Hornung <armin@hornung.io>  Thu, 19 Apr 2012 23:00:00 -0000

ros-kinetic-octomap-mapping (0.4.3-2xenial) xenial; urgency=high



 -- Armin Hornung <armin@hornung.io>  Mon, 16 Apr 2012 23:00:00 -0000

ros-kinetic-octomap-mapping (0.4.2-2xenial) xenial; urgency=high



 -- Armin Hornung <armin@hornung.io>  Fri, 16 Mar 2012 00:00:00 -0000

ros-kinetic-octomap-mapping (0.4.1-2xenial) xenial; urgency=high



 -- Armin Hornung <armin@hornung.io>  Tue, 21 Feb 2012 16:50:00 -0000

ros-kinetic-octomap-mapping (0.4.0-2xenial) xenial; urgency=high



 -- Armin Hornung <armin@hornung.io>  Tue, 21 Feb 2012 15:37:00 -0000

ros-kinetic-octomap-mapping (0.3.8-2xenial) xenial; urgency=high



 -- Armin Hornung <armin@hornung.io>  Wed, 25 Apr 2012 23:00:00 -0000

ros-kinetic-octomap-mapping (0.3.7-2xenial) xenial; urgency=high



 -- Armin Hornung <armin@hornung.io>  Wed, 22 Feb 2012 00:00:00 -0000

ros-kinetic-octomap-mapping (0.3.6-2xenial) xenial; urgency=high



 -- Armin Hornung <armin@hornung.io>  Mon, 09 Jan 2012 00:00:00 -0000

ros-kinetic-octomap-mapping (0.3.5-2xenial) xenial; urgency=high



 -- Armin Hornung <armin@hornung.io>  Sat, 29 Oct 2011 23:00:00 -0000

ros-kinetic-octomap-mapping (0.3.4-2xenial) xenial; urgency=high



 -- Armin Hornung <armin@hornung.io>  Tue, 11 Oct 2011 23:00:00 -0000

ros-kinetic-octomap-mapping (0.3.3-2xenial) xenial; urgency=high



 -- Armin Hornung <armin@hornung.io>  Wed, 17 Aug 2011 06:41:00 -0000

ros-kinetic-octomap-mapping (0.3.2-2xenial) xenial; urgency=high



 -- Armin Hornung <armin@hornung.io>  Mon, 08 Aug 2011 23:00:00 -0000

ros-kinetic-octomap-mapping (0.3.1-2xenial) xenial; urgency=high



 -- Armin Hornung <armin@hornung.io>  Thu, 14 Jul 2011 23:00:00 -0000

ros-kinetic-octomap-mapping (0.3.0-2xenial) xenial; urgency=high



 -- Armin Hornung <armin@hornung.io>  Mon, 27 Jun 2011 23:00:00 -0000

ros-kinetic-octomap-mapping (0.2.0-2xenial) xenial; urgency=high



 -- Armin Hornung <armin@hornung.io>  Wed, 16 Mar 2011 00:00:00 -0000

ros-kinetic-octomap-mapping (0.1.2-2xenial) xenial; urgency=high



 -- Armin Hornung <armin@hornung.io>  Tue, 23 Nov 2010 00:00:00 -0000

ros-kinetic-octomap-mapping (0.1.1-2xenial) xenial; urgency=high



 -- Armin Hornung <armin@hornung.io>  Wed, 17 Nov 2010 00:00:00 -0000

ros-kinetic-octomap-mapping (0.1.0-2xenial) xenial; urgency=high



 -- Armin Hornung <armin@hornung.io>  Tue, 16 Nov 2010 00:00:00 -0000

=== debian/control ===
Source: ros-kinetic-octomap-mapping
Section: misc
Priority: optional
Maintainer: Wolfgang Merkt <w.merkt+oss@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://ros.org/wiki/octomap_mapping
Standards-Version: 3.9.2

Package: ros-kinetic-octomap-mapping
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-octomap-server
Description: Mapping tools to be used with the OctoMap library, implementing a 3D occupancy grid mapping.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-octomap-mapping//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
